DOKU Malaysia API Reference
Home
Products
Products
  • Checkout
  • Payment
  • Cards Payment
DOKU Docs
Home
Products
Products
  • Checkout
  • Payment
  • Cards Payment
DOKU Docs
  1. Checkout
  • Introduction
  • Getting Started
    • Create Account
    • Authentication & API Keys
    • Make your first API call
  • Checkout
    • Overview
    • Create Checkout
      POST
    • Retrieve Checkout Status
      GET
  • Payment
    • Overview
    • Create Payment
    • Get Bank List - FPX
    • Retrieve Payment Status
  • Cards Payment
    • Overview
    • Payment Form
      • Request Payment
    • Host-to-Host Payment
      • Check Three D Secure
      • Charge Payment
      • Capture Authorized Payment
    • Request Refund
    • Unbind Token
    • Check Status
  • Notification
    • Overview
    • Setup Notification URL
    • Retry Notification
    • Sample Notification - Global
    • Sample Notification - Cards
  • Technical Reference
    • Authentication & Integrity
    • Idempotency
    • Data Type
    • Order & Transaction Status
    • Postman Collection
    • Response Code
      • Error Code
    • API Version
      • Create Checkout
      • Create Payment
      • Get Bank List - FPX
      • Retrieve Checkout
      • Retrieve Payment
    • Signature
      • Signature - Global
        • Signature
      • Signature - Cards Payment API
        • Signature Component from Request Header
        • Signature Component from Response Header
        • Signature from API Get Method
        • Sample Code
  1. Checkout

Create Checkout

POST
/v3/checkouts
Environment
Sandbox - https://api-sandbox.doku.com
Production - https://api.doku.com

Request

Header Params

Body Params application/json

Examples
{
    "id": "8fdC56eo-cC99-46E1-B6AC-4asD8755B25C",
    "order": {
        "amount": 100.05,
        "invoice_number": "INV-20210231-0001",
        "currency": "MYR",
        "expired_at": "2025-10-03T22:22:25.333Z"
    },
    "customer": {
        "name": "John Doe",
        "email": "customer_email@test.com",
        "phone": "+60812345678"
    }
}

Responses

🟢200OK
application/json
Bodyapplication/json

Example
{
    "id": "8fdC56eo-cC99-46E1-B6AC-4asD8755B25C",
    "order": {
        "amount": 100.05,
        "invoice_number": "INV-20210231-0001",
        "currency": "MYR",
        "expired_at": "2025-10-03T22:22:25.333Z"
    },
    "checkout_experience": {
        "channels": [
            "EWALLET_TNG",
            "INTERNET_BANKING_FPX",
            "EWALLET_GRABPAY"
        ],
        "language": "EN",
        "auto_redirect": true,
        "retry_payment": {
            "enabled": true
        }
    },
    "payment": {
        "checkout_url": "https://sandbox.doku.com/checkout-link-v2/2ebffd22d23e436895ce5c38f7ddcf8620244712094712362",
        "status": "PENDING",
        "state": "INITIATE"
    },
    "customer": {
        "id": "DOKU-CUST-001",
        "name": "John Doe",
        "email": "customer_email@test.com",
        "phone": "+60812345678",
        "country": "MY",
        "address": "Street 1"
    }
}
🟠400Bad Request
🟠401Invalid Authentication & Signature
🟠404Transaction Errors
🔴500Internal Errors
Modified at 2026-07-01 07:02:37
Previous
Overview
Next
Retrieve Checkout Status
Built with